> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.sofer.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sofer.ai/_mcp/server.

# Get Batch File

GET https://api.sofer.ai/v1/transcriptions/batch-files/{batch_file_id}

Get details about a specific batch file manifest, including its validation status. Check this after uploading to ensure your manifest is valid before starting a batch.

To find batches already created from this manifest, use [List Batches For Manifest](/api-reference/batch-transcribe/list-batch-file-batches).

Reference: https://docs.sofer.ai/api-reference/batch-transcribe/get-batch-file

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `batch_file_id` (UUID, required) — The batch file ID returned from [Upload Batch File](/api-reference/batch-transcribe/upload-batch-file)

## Response

### 200

- `id` (UUID, required) — Batch file ID
- `created_at` (datetime, required) — Upload timestamp
- `item_count` (integer, required) — Number of audio sources
- `size_bytes` (integer, required) — Manifest size in bytes
- `status` (enum, required) — Validation status
  - Allowed values: `PENDING_VALIDATION`, `VALID`, `INVALID`
- `checksum` (string, optional) — SHA256 checksum
- `title` (string, optional) — Title from metadata
- `description` (string, optional) — Description from metadata
- `validation_errors` (list of string, optional) — If status is `INVALID`, lists what's wrong

## Errors

### 404 Batch Not Found

Batch not found

### 401 Authentication Error

Authentication error

### 429 Rate Limit Error

Rate limit exceeded, or you have used up your quota

## Examples

**Response**

```json
{
  "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
  "created_at": "2024-01-15T09:30:00Z",
  "item_count": 1,
  "size_bytes": 1,
  "status": "PENDING_VALIDATION",
  "checksum": "checksum",
  "title": "title",
  "description": "description",
  "validation_errors": [
    "validation_errors",
    "validation_errors"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sofer.ai/v1/transcriptions/batch-files/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sofer.ai/v1/transcriptions/batch-files/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sofer.ai/v1/transcriptions/batch-files/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sofer.ai/v1/transcriptions/batch-files/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sofer.ai/v1/transcriptions/batch-files/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sofer.ai/v1/transcriptions/batch-files/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sofer.ai/v1/transcriptions/batch-files/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sofer.ai/v1/transcriptions/batch-files/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```